import { defineComponent as l, computed as r, createBlock as i, createCommentVNode as u, openBlock as a, withCtx as t, createVNode as m, unref as d, createTextVNode as n, createElementVNode as c } from "vue";
import k from "../../settings/components/Section.vue.js";
import p from "../../global-cookies/components/CookiesTable.vue.js";
const y = {
  name: "Cookies"
}, x = /* @__PURE__ */ l({
  ...y,
  props: {
    documentSlug: {},
    document: {},
    eventBus: {},
    layout: {},
    path: {},
    method: {},
    exampleName: {},
    environment: {},
    securitySchemes: {},
    workspaceStore: {},
    activeWorkspace: {},
    plugins: {},
    customThemes: {},
    currentTheme: {},
    isDarkMode: { type: Boolean },
    fetchRegistryDocument: { type: Function },
    collectionType: {}
  },
  setup(e) {
    const s = r(() => (e.collectionType === "document" ? e.document["x-scalar-cookies"] : e.workspaceStore.workspace["x-scalar-cookies"]) ?? []);
    return (f, o) => e.collectionType !== "operation" ? (a(), i(k, { key: 0 }, {
      title: t(() => [...o[0] || (o[0] = [
        n("Cookies", -1)
      ])]),
      description: t(() => [...o[1] || (o[1] = [
        n(" Manage your collection's cookies here.", -1),
        c("br", null, null, -1),
        n("Cookies allow you to store and send key-value data with your API requests—often used for things like session tokens, authentication, and saving user preferences.", -1),
        c("br", null, null, -1)
      ])]),
      default: t(() => [
        m(d(p), {
          collectionType: e.collectionType,
          cookies: s.value,
          eventBus: e.eventBus
        }, null, 8, ["collectionType", "cookies", "eventBus"])
      ]),
      _: 1
    })) : u("", !0);
  }
});
export {
  x as default
};
